<h3>Edit <%= @category.presence&.name || 'new category' %></h3>
<h2>Context: <%= @taxonomy %></h2>

<%= form_with model: [@taxonomy,@category], url: controller.action_name == 'new' ? taxonomy_categories_path(taxonomy: @taxonomy) : category_path(@category) do |f| %>
    <%= render partial: 'form', locals: { category: category, f: f } %>
<% end %>
